# Uses of Class
net.sf.statcvs.output.ReportConfig

Packages that use ReportConfig
Package
Description
net.sf.statcvs.charts
net.sf.statcvs.output
net.sf.statcvs.pages
net.sf.statcvs.pages.xml
net.sf.statcvs.reports

## Uses of ReportConfig in net.sf.statcvs.charts

Constructors in net.sf.statcvs.charts with parameters of type ReportConfig
Modifier
Constructor
Description
``
`AllDevelopersLOCChartMaker(ReportConfig config, Dimension size)`
``
`AllDirectoriesLOCChartMaker(ReportConfig config, int showMaxDirectories)`
``
`AllModulesLOCChartMaker(ReportConfig config, int showMaxModules)`
``
`CodeDistributionChartMaker(ReportConfig config, Author author)`
``
`CommitScatterChartMaker(ReportConfig config, int width)`
Creates a new CommitScatterChartMaker.
``
`DirectoryLOCChartMaker(ReportConfig config, Directory directory)`
``
`DirectoryPieChartMaker(String chartName, ReportConfig config, SortedSet directories, String title, String fileName)`
Creates a new PieChartMaker
``
`DirectorySizesChartMaker(ReportConfig config)`
``
`HourBarChartMaker(String chartName, ReportConfig config, SortedSet revisions, String title, String fileName)`
Creates a bar chart showing a distribution of revisions over the hours of the day.
``
`LOCChartMaker(String chartName, ReportConfig config, List locSeriesList, String title, String fileName, Dimension size, List annotations)`
Creates a Lines Of Code chart from a list of `BasicTimesSeries` and saves it as PNG
``
`LOCChartMaker(String chartName, ReportConfig config, org.jfree.data.time.TimeSeries locSeries, String title, String fileName, Dimension size, List annotations)`
Creates a Lines Of Code chart from a `BasicTimeSeries` and saves it as PNG
``
`MainLOCChartMaker(String chartName, ReportConfig config, String fileName, Dimension size)`
``
`ModifyAddChartMaker(ReportConfig config, int width)`
Creates a new ModifyAddChartMaker
``
`ModuleEvolutionChartMaker(String chartName, ReportConfig config, String title, String fileName)`
Creates a new PieChartMaker
``
`ModuleSizePieChartMaker(String chartName, ReportConfig config, String title, String subTitle, String fileName)`
Creates a new PieChartMaker
``
`TimeBarChartMaker(String chartName, ReportConfig config, SortedSet revisions, String title, String fileName, String[] barLabels)`
Creates a new BarChartMaker.
``
`TimeLineChartMaker(String chartName, ReportConfig config, TimeLine timeLine, String fileName, Collection symbolicNames)`
Creates a chart from a time line.
``
`WeekdayBarChartMaker(String chartName, ReportConfig config, SortedSet revisions, String title, String fileName)`
Creates a bar chart showing a distribution of revisions over the days of the week.

## Uses of ReportConfig in net.sf.statcvs.output

Constructors in net.sf.statcvs.output with parameters of type ReportConfig
Modifier
Constructor
Description
``
`ChurnPageMaker(ReportConfig config)`
``
`LOCChurnChartMaker(String chartName, ReportConfig config, org.jfree.data.time.TimeSeries churnSeries, org.jfree.data.time.TimeSeries locSeries, String title, String fileName, List annotations)`
Creates a Lines Of Code chart from a `BasicTimeSeries` and saves it as PNG
``
`RepoMapPageMaker(ReportConfig config)`

## Uses of ReportConfig in net.sf.statcvs.pages

Methods in net.sf.statcvs.pages with parameters of type ReportConfig
Modifier and Type
Method
Description
`static String`
TwitterHelp.`buildDeveloperLink(Author developer, String loc, Repository repository, ReportConfig config)`
`static String`
TwitterHelp.`buildDeveloperOfMonthLink(Author developer, int loc, Repository repository, String month_year, ReportConfig config)`
`static String`
TwitterHelp.`buildOverviewLink(TopDevelopersTableReport topDevelopers, Repository repository, ReportConfig config)`
Constructors in net.sf.statcvs.pages with parameters of type ReportConfig
Modifier
Constructor
Description
``
`AllDevelopersPageMaker(ReportConfig config)`
``
`CloudCommitPageMaker(ReportConfig config)`
``
`CommitListFormatter(ReportConfig config, List commits, List tags, boolean withPermalinks)`
Creates a new instance for the list of commits.
``
`CommitListFormatter(ReportConfig config, List commit, List tags, int max, boolean withPermalinks)`
Creates a new instance for the list of commits.
``
`CommitLogPageGroupMaker(ReportConfig config)`
``
`CommitLogPageMaker(ReportConfig config, int year, int month, Collection commits, boolean firstLogPage)`
Creates a new LogPageMaker.
``
`DeveloperPageMaker(ReportConfig config, Author developer)`
``
`DirectoryPageMaker(ReportConfig config, Directory directory)`
``
`DirectorySizesPageMaker(ReportConfig config)`
``
`FileSizesPageMaker(ReportConfig config)`
``
`IndexPageMaker(ReportConfig config, String notesHTML, PageGroup reports)`
Creates a new report index page.
``
`LOCPageMaker(ReportConfig config)`
``
`ModulesPageMaker(ReportConfig config)`
``
`Page(ReportConfig config, String fileName, String shortTitle, String fullTitle)`
Creates a new page.
``
`ReportSuiteMaker(ReportConfig config, String notesHTML)`
``
`ReportSuiteMaker(ReportConfig config, String notesHTML, List additionalPages)`

## Uses of ReportConfig in net.sf.statcvs.pages.xml

Constructors in net.sf.statcvs.pages.xml with parameters of type ReportConfig
Modifier
Constructor
Description
``
`AllDevelopersXml(ReportConfig config)`
``
`DirectoriesXml(ReportConfig config)`
``
`FilesXml(ReportConfig config)`
``
`GenerateXml(ReportConfig config)`
``
`LogXml(ReportConfig config)`
``
`LogXmlMaker(ReportConfig config, Collection commits)`
Creates a new LogPageMaker.
``
`RevisedFilesXml(ReportConfig config)`
Creates a new LogPageMaker.

## Uses of ReportConfig in net.sf.statcvs.reports

Constructors in net.sf.statcvs.reports with parameters of type ReportConfig
Modifier
Constructor
Description
``
`AbstractLocTableReport(ReportConfig config)`
Constructor
``
`AbstractRollingLocTableReport(ReportConfig config)`
Constructor
``
`AuthorsForDirectoryTableReport(ReportConfig config, Directory directory)`
Creates a table report containing authors who have committed changes to a specified directory, their number of changes and LOC contributions.
``
`CloudCommitTableReport(ReportConfig config)`
Creates a table report containing the top 10 authors and their LOC contributions
``
`DevelopersOfTheMonthTable(ReportConfig config)`
Creates a table report containing all authors, their number of changes and LOC contributions.
``
`DevelopersRollingTableReport(ReportConfig config)`
Creates a table report containing all authors, their number of changes and LOC contributions.
``
`DevelopersTableReport(ReportConfig config)`
Creates a table report containing all authors, their number of changes and LOC contributions.
``
`DirectoriesForAuthorTableReport(ReportConfig config, Author author)`
Creates a table report containing directories to which a specified author has committed changes, and their respective number of changes and LOC.
``
`FilesWithMostRevisionsTableReport(ReportConfig config, SortedSet files, int maxRows)`
Creates a table containing the files with most changes from a file list
``
`FileTypeReport(ReportConfig config)`
``
`LargestFilesTableReport(ReportConfig config, SortedSet files, int maxRows)`
Creates a table containing the largest files from a file list
``
`TagReport(ReportConfig config)`
``
`TopDevelopersTableReport(ReportConfig config)`
Creates a table report containing the top 10 authors and their LOC contributions